%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins
%global gittag Juno_SR2

Name:      eclipse-mdt-uml2
Version:   4.0.2
Release:   2%{?dist}
Summary:   Implementation of the UML2 OMG meta-model for Eclipse
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/uml2

Source0:   http://git.eclipse.org/c/uml2/org.eclipse.uml2.git/snapshot/org.eclipse.uml2-%{gittag}.tar.bz2

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-emf-validation >= 1.6.0-3
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-emf >= 2.8.0
Requires:         eclipse-emf-validation >= 1.6.0-3

%description
UML2 is an EMF-based implementation of the Unified Modeling Language (UML) 2.x
OMG meta-model for the Eclipse platform. The objectives of the UML2 component
are to provide a usable implementation of the UML meta-model to support the
development of modeling tools, a common XMI schema to facilitate interchange
of semantic models, test cases as a means of validating the specification and
validation rules as a means of defining and enforcing levels of compliance.

%prep
%setup -q -n org.eclipse.uml2-%{gittag}

# remove stuff we're not building
rm -rf deprecated/ examples/ tests/

# remove spurious exec permissions from docs
chmod -x releng/org.eclipse.uml2.license-feature/rootfiles/*

# this copy works around ant not honouring symlinks
cp -pr releng/org.eclipse.uml2.license-feature releng/org.eclipse.uml2.license
mv releng/org.eclipse.uml2.license* plugins/.
mv doc/org.eclipse.uml2.doc* plugins/.

%build
# build mdt-uml2 features
eclipse-pdebuild -f org.eclipse.uml2 \
  -d "emf emf-validation"
eclipse-pdebuild -f org.eclipse.uml2.doc

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-uml2 build/rpmBuild/org.eclipse.uml2.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-uml2 build/rpmBuild/org.eclipse.uml2.doc.zip

%files
%{eclipse_dropin}/mdt-uml2
%doc plugins/org.eclipse.uml2.license-feature/rootfiles/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-1
- Update to latest upstream, fix FTBFS rhbz #913957.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Mat Booth <fedora@matbooth.co.uk> - 4.0.0-1
- Update to latest version.
- Adapt newer packaging guidelines.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.1.0-1
- Update to Helios release.
- Fixes RHBZ #631324.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-2
- Don't pretty-print the package description.

* Tue Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-1
- New UML2 spec file based on eclipse-gef.
